private String[][] importData(String filename){
    String[] lines = loadStrings(filename);
    int rows = lines.length;
    int cols = split(lines[0], ",").length;
    println("cols " +cols);
    String[][] data = new String[rows-1][cols];
    for (int i = 1; i < rows; i++) {
       String[] row = lines[i].split( ",(?=([^\"]*\"[^\"]*\")*[^\"]*$)");
        for (int j = 0; j< cols; j++) {
        data[i-1][j] = row[j].trim();
        }
    }
    return data;
  }
  
  
private HashMap<String, Integer> getAdjList(String[][] raw){
   HashMap<String, Integer> myMap = new HashMap<String, Integer>();
   for (int i=0;i<raw.length;i++){
     String myKey = raw[i][0]+"-"+raw[i][1];
     if (myMap.get(myKey) == null)
        myMap.put(myKey,1);
     else  myMap.put(myKey,myMap.get(myKey)+1);
   } 
   return myMap;
  }
  
private float[][] getPercentageData(HashMap<String, Integer> adj){
  totalAll=new int[numSeries];
  totalSelf=new int[numSeries];
  
  
  int[][] raw = new int[numSeries][numCat];
      for (String k : adj.keySet()) {
        int val= adjList.get(k);
        String[] indecies = k.split("-");
        int i_val=Integer.parseInt(indecies[0])/100;
        int j_val=Integer.parseInt(indecies[1])/100;
        if (i_val==j_val){
          //raw[i_val][j_val]=val/2;
          totalAll[i_val]+=val/2;
          totalSelf[i_val]+=val/2;
          raw[i_val][j_val]=0;}
        else {
          raw[i_val][j_val]=val; 
          totalAll[i_val]+=val;}
        }   
        
  float[] sums= new float[numSeries];
  for (int i=0;i<raw.length;i++){
    for (int j=0; j<raw[0].length;j++){
      sums[i]+=(float)raw[i][j];
    }  
  }
        
  float[][] percent = new float[numSeries][numCat];  
  for (int i=0;i<raw.length;i++){
    for (int j=0; j<raw[0].length;j++){
      float percent_val=raw[i][j]/(sums[i]);
      //float percent_val=log((raw[i][j]/sums[i])*100)/log(10)/2;
      percent[i][j]=(percent_val>0)? percent_val : 0;
      //println(i+ " "+j+" "+ percent[i][j]);
    }
    
  }
    return percent;    
        
}
