select 
    floor(t1.deweyClass/100)*100 as dewey1,
    floor(t2.deweyClass/100)*100 as dewey2
from
    spl2.inraw as t1,
    spl2.inraw as t2
where
    t1.cout = t2.cout and t1.cin = t2.cin
        and t1.itemNumber != t2.itemNumber
        and t1.deweyClass != ''
        and t2.deweyClass != ''
        and year(t1.cout) > 2010;