class Series implements Comparable<Series>{
  String name;
  float[] values;
  color c;
  boolean show=true;
  float epsilon=0.001;
  float size;
  LegendItem myLegend;
  CategoryItem myCategory;
  int compareBy;
  int id;
 
  
  Series(String name, float[] values, color c, int id, int self, int all,int max){
    this.name=name;
    this.values=values;
    this.c=c;
    myLegend= new LegendItem(this, this.c, self, all,max);
    myCategory = new CategoryItem(this, this.c,id);
    this.id=id;
    
  }  
  void display(){
    fill(c);
    if(show){
       int i=0;
  beginShape();
  for(float theta=0;theta<2*PI*(1-epsilon);theta+=2*PI/values.length){
     float x=cos(theta)*values[i]*size*2.2;
    float y=sin(theta)*values[i]*size*2.2;
    vertex(x,y);

    i++;
  }
  endShape(CLOSE);
    }
  } 
  
  void setSize(float size){
    this.size=size;
    
  }
  
  String toString(){
    return this.name;
  }
  
  void changeState(){
    show=!show;
  }
  
  void setCompareBy(int i){
    this.compareBy=i;
  }
  
  int compareTo(Series otherObject){
    Series otherSeries= otherObject;
    if((values[compareBy]-otherSeries.values[compareBy])<0){
      return 1;}
    else
      return -1;
  }
  
}
